<?php
defined('BASEPATH') OR exit ('No direct script access allowed');

class NotificaPublicidade_model extends CI_model
{
    
    public function sms_publicidade_formacao_facil($dias)
    {
        $alunos = [];
        foreach ($dias as $dia)
        {
            $query = $this->db->query("SELECT a.id_fic, a.id_aluno, a.email, a.ddd_telefone, a.telefone, a.ddd_celular, a.celular, a.data_cadastro
                                    FROM aluno a                                 
                                    WHERE date(a.data_cadastro) = DATE_SUB(CURDATE(), INTERVAL ".$dia." DAY)  
                                    AND (SUBSTR(a.telefone, 1, 1 ) = 9 OR SUBSTR(a.celular, 1, 1 ) = 9)
                                    AND ( CHAR_LENGTH(a.ddd_telefone)=2 OR CHAR_LENGTH(a.ddd_celular=2) )
                                    AND (a.ddd_telefone >10 OR a.ddd_celular >10)");
            $alunos[] = $query->result_array();
        }
        
        return $alunos;
    }
    
    public function sms_publicidade($dia)
    {
        
            
        $query = $this->db->query("SELECT a.id_fic, a.email, a.ddd_telefone, a.telefone, a.ddd_celular, a.celular, a.data_cadastro
                                        FROM aluno a                                 
                                        WHERE date(a.data_cadastro) = DATE_SUB(CURDATE(), INTERVAL ".$dia." DAY)  
                                        AND (SUBSTR(a.telefone, 1, 1 ) = 9 OR SUBSTR(a.celular, 1, 1 ) = 9)
                                        AND ( CHAR_LENGTH(a.ddd_telefone)=2 OR CHAR_LENGTH(a.ddd_celular=2) )
                                        AND (a.ddd_telefone >10 OR a.ddd_celular >10)");
        return $query->result_array();
    }

}